
Strict

Local n
Repeat
	Local t$
	ReadData t$
	If Not t Exit
	n:+1
Forever

Local sz_big = 24
Local sz_small = 12

Local p_big:TPixmap
Local p_small:TPixmap

RestoreData Here
Local x_small=0,x_big=0
Local cx , cy
Local r:TPixmap
Local stoptoolbar=False

Repeat
	Local t$
	ReadData t
	If Not t Exit
	
	If t = "--TOOLBAR END--" Then
		stoptoolbar = True
	ElseIf t<>" "
		Local q:TPixmap = LoadPixmap( t + ".png" ) 
		If Not stoptoolbar Then
			If Not p_big
				Local rgb=0'q.readpixel( 0,0 )
				p_big = TPixmap.Create( n * sz_big , sz_big , PF_RGBA8888 )  			
				For Local y=0 Until sz_big
					For Local x=0 Until n*sz_big
						p_big.WritePixel x,y,rgb
					Next
				Next
			EndIf
			If q.width>sz_big Or q.height>sz_big
				r = ResizePixmap( q , sz_big , sz_big ) 
			Else
				r=q
			EndIf
			cx=(sz_big-r.width)/2
			cy=(sz_big-r.height)/2
			p_big.paste r,x_big+cx,cy
		EndIf
		
		If Not p_small
			Local rgb=0'q.readpixel( 0,0 )
			p_small = TPixmap.Create( n * sz_small , sz_small , PF_RGBA8888 ) 			
			For Local y=0 Until sz_small
				For Local x=0 Until n*sz_small
					p_small.WritePixel x,y,rgb
				Next
			Next
		EndIf

		If q.width>sz_small Or q.height>sz_small
			r = ResizePixmap( q , sz_small , sz_small ) 
		Else
			r=q
		EndIf
		cx=(sz_small-r.width)/2
		cy=(sz_small-r.height)/2
		p_small.paste r,x_small+cx,cy
		x_small:+sz_small
	EndIf
	If Not stoptoolbar Then x_big:+ sz_big
Forever

p_big = PixmapWindow(p_big,0,0,x_big,sz_big)

SavePixmapPNG p_big , "../resources/icons.png"
SavePixmapPNG p_small , "../resources/icons_small.png"
'SavePixmapPNG p_toolbar , "../resources/icons_toolbar.png"

Local i:TImage=LoadImage(p_big)
Local j:TImage = LoadImage(p_small) 
'Local k:TImage=LoadImage(p_toolbar)

Graphics 800 , 600 , 0
SetClsColor 0 , 0 , 255
Cls
DrawPixmap p_big , 0 , 0
DrawPixmap p_small , 0 , 50
'DrawPixmap p_toolbar , 0 , 100

DrawImage i , 0 , 150
DrawImage j , 0 , 200
'DrawImage k , 0 , 250

Flip
WaitKey

#Here
DefData "New","Open","Close","Save"," "
DefData "Cut","Copy","Paste"," ","Undo","Redo"," ","Find"," "
DefData "Build","Build-Run","Build-Debug"," "
DefData "Step","Step-In","Step-Out","Stop","Go"," "
DefData "Home" , "Back" , "Forward" , " "
DefData "--TOOLBAR END--"
DefData "Code" , "Output" , "Help"
DefData "Block-Comment" , "Block-Uncomment"
DefData "Block-Indent" , "Block-Outdent"
DefData "Print"
DefData "Exit"
DefData "Lock" , "Unlock" , "Bookmark" , "Bookmark-Next" , "Bookmark-Prev"
DefData "About"
DefData "SelectAll" , "Options" , "Projects"
DefData "ImportBB" , "ModuleBuild" , "ModuleExport" , "ModuleImport"
DefData "RebuildDocs","Sync","Todo","Debug","CodeStructure"
DefData "NextFile" , "PrevFile"
DefData ""


